Hvordan installere LMDE-pakkene våre på 3 sekunder

Dra nytte av siste artikkel hva la jeg ut om MintBackup, Jeg vil vise deg tre enkle måter å installere pakkene på nytt vi bruker når vi installerer våre på nytt LMDE.

Egentlig, bortsett fra den første formen, kan de andre brukes både i Debiansom i Ubuntu.

Installasjon på 3 sekunder

Grafisk.

Dette er slik det mest liker det, alt grafisk og uten å måtte berøre en terminal. I LMDE y Linuxmintdet er en fabelaktig verktøy kalt MintBackup, som vi blant annet kan bruke til å lagre pakkene våre og senere installere dem på nytt.

I tilfelle av LMDE, hvis vi oppdaterer pakken python-apt til versjon 0.8.0, vil vi ikke kunne bruke MintBackup på grunn av et avhengighetsproblem. Den vil returnere følgende feil:

Traceback (most recent call last):
File "/usr/lib/linuxmint/mintBackup/mintBackup.py", line 87, in <module>
class MessageDialog(apt.FetchProgress):
AttributeError: 'module' object has no attribute 'FetchProgress'

Forhåpentligvis gutta fra Mynte fikse det snart.

Gjennom terminalen.

Gjennom konsollen kan vi gjøre det på to måter, som til slutt har vært det samme.

I to trinn.

dpkg --get-selections | awk '$2 ~ /^install$/ {print $1}' > lista_de_paquetes.txt

Når vi har tilgang til depotene og alt er konfigurert og oppdatert, må vi bare sette dette:

cat lista_de_paquetes.txt | xargs sudo aptitude install -y

I to trinn.

dpkg --get-selections "*" > /home/user/Desktop/lista_de_paquetes.txt

Etter reinstallering utfører vi dette:

dpkg --set-selections  < /home/user/Desktop/lista_de_paquetes.txt

Og så løper vi:

apt-get -u dselect-upgrade

Jeg synes det er unødvendig å avklare at vi må ha arkivene konfigurert riktig .. Enkelt, ikke sant?


Innholdet i artikkelen følger våre prinsipper for redaksjonell etikk. Klikk på for å rapportere en feil her.

8 kommentarer, legg igjen dine

Legg igjen kommentaren

Din e-postadresse vil ikke bli publisert. Obligatoriske felt er merket med *

*

*

  1. Ansvarlig for dataene: Miguel Ángel Gatón
  2. Formålet med dataene: Kontroller SPAM, kommentaradministrasjon.
  3. Legitimering: Ditt samtykke
  4. Kommunikasjon av dataene: Dataene vil ikke bli kommunisert til tredjeparter bortsett fra ved juridisk forpliktelse.
  5. Datalagring: Database vert for Occentus Networks (EU)
  6. Rettigheter: Når som helst kan du begrense, gjenopprette og slette informasjonen din.

  1.   Courage sa

    Eller du skriver også ned alle programmene du hadde før og gjør

    sudo apt-get -y insall alle pakker som er slettet

    Jeg vet egentlig ikke om LMDE har samme mål som Linux MInt, å være ute av boksen

    1.    Courage sa

      * installere

  2.   Hokasito sa

    Selv om det er litt "off-topic", ønsket jeg å advare om at utgivelseskandidatene er utgitt i Linux Mint Debian 201108 for GNOME og XFCE. Jeg håper det er gjort ganske mange forbedringer ... 🙂

    1.    elav <° Linux sa

      Vel, ja, hva skjer når denne utmerkede nyheten ble publisert, vi var offline. Takk.

  3.   mitcoes sa

    Jeg oppdaget deg akkurat og TAKK.
    I går installerte jeg 64-biters LMDE, og jeg har det bra, men jeg har to små ting å oppdage-

    1– Logg inn som rot i grafisk modus

    2. - Sett VLC som standard videospiller

    Jeg tror jeg vil få det fra det foretrukne applikasjonens kontrollpanel eller ved å åpne med et annet program / bruke dette programmet som standard. Logget inn som rot.

    Jeg har gjort sudo nautilus bare i tilfelle og ingenting i det hele tatt.

    PS1: På 64 biter hvis sammensetningen av pakkene fungerer bra.
    PS2: Jeg må også installere MAME SDL og den nylige wine64 som jeg ønsker at en ppa skal eksistere av, fordi konfigurering av programmer senere ikke oppdaterer deg automatisk.
    PS3: Jeg bruker AMD beta-driveren AMD_Catalyst_Preview_driver_OpenGL_4.2_beta_support_8.88.8-x86.x86_64.run, Cocoon, https://getcocoon.com/, for å se geolokaliserte serier i Firefox, Chrome - som må installeres -, Firefox Flash-hjelpemiddel med 64-biters Flash, Zindus, Qbittorrent, Opera, aletras.oxt-utvidelsen og mottaksscriptet for å kontrollere overflødig RAM-cache for oppgaven som også fortjener en kommentar fra deg.

    Jeg ser frem til den femte delen av opplæringen med disse og / eller andre forslag

  4.   COMECON sa

    ¡Hola!
    En ting, vi bør endre den første lenken som sender MintBackup-artikkelen til denne: https://blog.desdelinux.net/mintbackup-realiza-un-respaldo-de-tus-paquetes/
    Jeg vet ikke hvorfor, den lenker til en underkatalog "/ wp-content / themes" ...

    1.    KZKG ^ Gaara sa

      Ferdig, korrigert 😉

  5.   Nahum sa

    Hei, siden den forrige versjonen av LMDE amd64 har jeg hatt problemer med ødelagte pakker og feil når jeg laster inn arkiver, jeg har prøvd mange løsninger og ingen av dem fungerer ... Jeg vet ikke hva jeg skal gjøre lenger, jeg ønsket å installere Gnome-shell og det lot meg ikke fordi pakken er ødelagt. Jeg så hvordan jeg skulle løse de ødelagte pakkene med kommandoer som: sudo dpkg –purge –force-remove-reinstreq

    og jeg får følgende feil:

    dpkg: error: –purge krever minst ett pakkenavn som parameter

    Skriv dpkg –help for å installere og avinstallere pakker [*];
    Bruk 'dselect' eller 'aptitude' for mer vennlig pakkehåndtering;
    Skriv dpkg -Hjelp for en liste over dpkg feilsøkingsinnstillinger;
    Skriv dpkg –force-help for en liste over alternativer for å tvinge ting;
    Skriv inn dpkg-deb –help for å få hjelp til å manipulere .deb-filer;

    Alternativer merket med [*] gir lang effekt,
    Filtrer den med 'mindre' eller med 'mer'!

    hvis noen kan hjelpe meg med dette 🙂